## kf6-syntax-highlighting 6.21.0+p24.04+vstable+git20260102.1100

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.22.0")
project(KSyntaxHighlighting VERSION ${KF_VERSION})

find_package(ECM 6.21.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMPoQmTools)
include(ECMQtDeclareLoggingCategory)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)
include(ECMQmlModule)
include(ECMGenerateQDoc)

set(ksyntaxhighlighting_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/lib/ksyntaxhighlighting_version.h")
ecm_setup_version(PROJECT
    VARIABLE_PREFIX KSYNTAXHIGHLIGHTING
    VERSION_HEADER "${ksyntaxhighlighting_version_header}"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6SyntaxHighlightingConfigVersion.cmake"
    SOVERSION 6
)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

#
# Dependencies
#
set(REQUIRED_QT_VERSION 6.8.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Network Test)
option(KSYNTAXHIGHLIGHTING_USE_GUI "Build components depending on QtGui" ON)
if(KSYNTAXHIGHLIGHTING_USE_GUI)
    find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Gui)
endif()
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE QUIET OPTIONAL_COMPONENTS PrintSupport Widgets Quick)
set_package_properties(Qt6 PROPERTIES URL "http://qt-project.org/")
set_package_properties(Qt6Widgets PROPERTIES PURPOSE "Example application.")
set_package_properties(Qt6PrintSupport PROPERTIES PURPOSE "Example application.")
set_package_properties(Qt6Quick PROPERTIES PURPOSE "QtQuick bindings.")

# https://xerces.apache.org/index.html for validation
find_package (XercesC)
set_package_properties(XercesC PROPERTIES PURPOSE "Compile-time validation of syntax definition files.")

find_package(Perl REQUIRED)
set_package_properties(Perl PROPERTIES PURPOSE "Auto-generate PHP syntax definition files.")

find_package(Python)
set_package_properties(Python PROPERTIES PURPOSE "Auto-generate Jinja syntax definition files.")

#
# allow to install the "differently" licensed syntax xml files instead of putting them in a QRC and link them in
#
option(QRC_SYNTAX "Bundle the syntax definition files inside the library as resources" ON)
add_feature_info(SYNTAX_RESOURCE ${QRC_SYNTAX} "Bundle the syntax definition files inside the library as resources")

#
# allow to turn of lookup for syntax files and themes via QStandardPaths
#
option(NO_STANDARD_PATHS "Skip lookup of syntax and theme definitions in QStandardPaths locations" OFF)
add_feature_info(FEATURE_NO_STANDARD_PATHS ${NO_STANDARD_PATHS} "Skip lookup of syntax and theme definitions in QStandardPaths locations")

#
# Translations
#
ecm_install_po_files_as_qm(poqm)

# tell the framework if it shall use the syntax files from the resource
if (QRC_SYNTAX)
    add_definitions(-DHAS_SYNTAX_RESOURCE)
endif()

# skip standard paths?
if (NO_STANDARD_PATHS)
    add_definitions(-DNO_STANDARD_PATHS)
endif()

ecm_set_disabled_deprecation_versions(
    QT 6.11.0
)

#
# Actually build the stuff
#
include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_subdirectory(data)
add_subdirectory(src)
if(TARGET Qt6::Gui)
    add_subdirectory(examples)
    if (BUILD_TESTING)
        add_subdirectory(autotests)
    endif()
endif()

#
# CMake package config file generation
#
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6SyntaxHighlighting")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6SyntaxHighlightingConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6SyntaxHighlightingConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF6SyntaxHighlightingConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF6SyntaxHighlightingConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

if(TARGET KF6SyntaxHighlighting)
    install(EXPORT KF6SyntaxHighlightingTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF6SyntaxHighlightingTargets.cmake
        NAMESPACE KF6::)
endif()

install(FILES "${ksyntaxhighlighting_version_header}"
        DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/KSyntaxHighlighting"
        COMPONENT Devel)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add target to update kate-editor.org syntax page + update site
add_custom_target(update_kate_editor_org
    COMMAND "${PERL_EXECUTABLE}" "${CMAKE_CURRENT_SOURCE_DIR}/utils/update-kate-editor-org.pl" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}")

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-syntax-highlighting (6.21.0+p24.04+vstable+git20260102.1100-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 11:00:58 +0000

## kf6-syntax-highlighting 6.21.0+p24.04+vstable+git20260103.0155

=== debian/changelog ===
kf6-syntax-highlighting (6.21.0+p24.04+vstable+git20260103.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 01:55:33 +0000

## kf6-syntax-highlighting 6.21.0+p24.04+vstable+git20260105.0819

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0")
+set(KF_VERSION "6.23.0")
 project(KSyntaxHighlighting VERSION ${KF_VERSION})
 
-find_package(ECM 6.21.0 REQUIRED NO_MODULE)
+find_package(ECM 6.22.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)

## kf6-syntax-highlighting 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.23.0")
+set(KF_VERSION "6.22.0")
 project(KSyntaxHighlighting VERSION ${KF_VERSION})
 
 find_package(ECM 6.22.0 REQUIRED NO_MODULE)

=== debian/changelog ===
kf6-syntax-highlighting (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:34:13 +0000

=== debian/control ===
Source: kf6-syntax-highlighting
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen,
               extra-cmake-modules (>= 6.22.0~),
               libxerces-c-dev,
               libxkbcommon-dev,
               perl:any,
               pkgconf,
               qt6-base-dev (>= 6.8.0+dfsg~),
               qt6-declarative-dev (>= 6.8.0+dfsg~),
               qt6-tools-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/syntax-highlighting
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-syntax-highlighting
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-syntax-highlighting
Rules-Requires-Root: no

Package: libkf6syntaxhighlighting-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Syntax highlighting Engine - translations
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.
 .
 This package provides the translations.

Package: libkf6syntaxhighlighting-dev
Section: libdevel
Architecture: any
Depends: libkf6syntaxhighlighting6 (= ${binary:Version}),
         qml6-module-org-kde-syntaxhighlighting (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0+dfsg~),
         qt6-declarative-dev (>= 6.8.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6syntaxhighlighting-doc (= ${source:Version}),
Multi-Arch: same
Description: Syntax highlighting Engine
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.
 .
 Contains development files for libkf6syntaxhighlighting6.

Package: libkf6syntaxhighlighting-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: Syntax highlighting Engine (documentation)
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.

Package: libkf6syntaxhighlighting-tools
Architecture: any
Depends: libkf6syntaxhighlighting6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Syntax highlighting Engine
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.
 .
 Provides additional tools for libkf6syntaxhighlighting6

Package: libkf6syntaxhighlighting6
Architecture: any
Multi-Arch: same
Depends: libkf6syntaxhighlighting-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Syntax highlighting Engine
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.

Package: qml6-module-org-kde-syntaxhighlighting
Architecture: any
Multi-Arch: same
Depends: libkf6syntaxhighlighting6 (= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Syntax highlighting Engine (QML module)
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.
 .
 This package contains the QtQuick QML module.

## kf6-syntax-highlighting 6.22.0+p24.04+vstable+git20260106.0707

=== debian/changelog ===
kf6-syntax-highlighting (6.22.0+p24.04+vstable+git20260106.0707-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 07:07:34 +0000

kf6-syntax-highlighting (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:41:09 +1000

## kf6-syntax-highlighting 6.22.0+p24.04+vstable+git20260126.0604

=== debian/changelog ===
kf6-syntax-highlighting (6.22.0+p24.04+vstable+git20260126.0604-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 06:04:32 +0000

## kf6-syntax-highlighting 6.22.0+p24.04+vstable+git20260131.1254

=== debian/changelog ===
kf6-syntax-highlighting (6.22.0+p24.04+vstable+git20260131.1254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 12:54:56 +0000

## kf6-syntax-highlighting 6.22.0+p24.04+vunstable+git20260123.1010

=== debian/changelog ===
kf6-syntax-highlighting (6.22.0+p24.04+vunstable+git20260123.1010-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 10:10:41 +0000

## kf6-syntax-highlighting 6.22.0+p24.04+vunstable+git20260129.0251

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.0")
+set(KF_VERSION "6.23.0")
 project(KSyntaxHighlighting VERSION ${KF_VERSION})
 
 find_package(ECM 6.22.0 REQUIRED NO_MODULE)

=== debian/changelog ===
kf6-syntax-highlighting (6.22.0+p24.04+vunstable+git20260129.0251-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:51:29 +0000

## kf6-syntax-highlighting 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set(KF_VERSION "6.23.0")
 project(KSyntaxHighlighting VERSION ${KF_VERSION})
 
-find_package(ECM 6.22.0 REQUIRED NO_MODULE)
+find_package(ECM 6.23.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)

=== debian/changelog ===
kf6-syntax-highlighting (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Drop armel bits, as that architecture was discontinued.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:46:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: kf6-syntax-highlighting
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.27~),
                doxygen,
-               extra-cmake-modules (>= 6.22.0~),
+               extra-cmake-modules (>= 6.23.0~),
                libxerces-c-dev,
                libxkbcommon-dev,
                perl:any,
                pkgconf,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-tools-dev (>= 6.8.0~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.8.0~),
+               qt6-base-dev:native (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.5.0~),
+               qt6-tools-dev:native,
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/syntax-highlighting
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-syntax-highlighting
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-syntax-highlighting
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-syntax-highlighting
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-syntax-highlighting.git
 
 Package: libkf6syntaxhighlighting-data
 Architecture: all
@@ -44,8 +43,8 @@
 Architecture: any
 Depends: libkf6syntaxhighlighting6 (= ${binary:Version}),
          qml6-module-org-kde-syntaxhighlighting (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0+dfsg~),
-         qt6-declarative-dev (>= 6.8.0+dfsg~),
+         qt6-base-dev (>= 6.8.0~),
+         qt6-declarative-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libkf6syntaxhighlighting-doc (= ${source:Version}),
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

archs_that_need_atomic = m68k powerpc sh4
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(archs_that_need_atomic)))
	export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON
